PKCS12StoreParameter (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce

## Class PKCS12StoreParameter

- java.lang.Object
- - org.bouncycastle.jcajce.PKCS12StoreParameter

- All Implemented Interfaces:
    java.security.KeyStore.LoadStoreParameter
  Direct Known Subclasses:
    PKCS12StoreParameter

      public class PKCS12StoreParameter
      extends java.lang.Object
      implements java.security.KeyStore.LoadStoreParameter

  LoadStoreParameter to allow for additional config with PKCS12 files.

  Note: if you want a straight DER encoding of a PKCS#12 file you should use this.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS12StoreParameter(java.io.OutputStream out, char[] password)`
    `PKCS12StoreParameter(java.io.OutputStream out, char[] password, boolean forDEREncoding)`
    `PKCS12StoreParameter(java.io.OutputStream out, java.security.KeyStore.ProtectionParameter protectionParameter)`
    `PKCS12StoreParameter(java.io.OutputStream out, java.security.KeyStore.ProtectionParameter protectionParameter, boolean forDEREncoding)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `getOutputStream()`
    `java.security.KeyStore.ProtectionParameter` | `getProtectionParameter()`
    `boolean` | `isForDEREncoding()` Return whether the KeyStore used with this parameter should be DER encoded on saving.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              char[] password)

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              java.security.KeyStore.ProtectionParameter protectionParameter)

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              char[] password,
                              boolean forDEREncoding)

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              java.security.KeyStore.ProtectionParameter protectionParameter,
                              boolean forDEREncoding)

  - ### Method Detail

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

    - #### getProtectionParameter

          public java.security.KeyStore.ProtectionParameter getProtectionParameter()

      Specified by:
        `getProtectionParameter` in interface `java.security.KeyStore.LoadStoreParameter`

    - #### isForDEREncoding

          public boolean isForDEREncoding()

      Return whether the KeyStore used with this parameter should be DER encoded on saving.
      Returns:
        true for straight DER encoding, false otherwise,